How to scale viewports?

Hello. How can I put a viewport to a certain scale?

Thanks in advance.

Comments

  • set up your annotation scale in modell space (just to be in scale - set up the scale you want to create your drawing 1:100, 1:50, or 1:5 etc)
    switch to the paper space,
    double-click in the viewport, then you can right click on the "annotation scale" button, in the right bottom of your screen,
    and select the scale you want.
    another possibility is to click on the viewport (frame), press CTRL+1, the properties window will pop up, if its not turned on, and there you can setup the scale
    there are 3 possibilities to set up the scale annotation scale (1:10,1:20,1:50) , standard (1:10,1:20,1:50) and custom scale (0.50; 0.25; 0.60),

  • Louis_Verdonck
    edited September 2018

    @fs_at12
    It has nothing to do with annotation scale. Forget that.
    Read the BricsCAD Help under User Guide / Viewing your Drawing / Paperspace Viewports / Setting the Scale of a Viewport.
    There are two settings that need to be checked to successfully set the scale of a paperspace viewport:
    1. The Plot Scale property of the layout must express the relation between the Drawing Units (DU) and the units of the paper size (mm or inch). E.g. if DU=cm, 10 printed mm = 1 DU.
    2. The Standard Scale or Custom Scale property of the viewport sets the correct scaling.

  • After setting the scale, set the Display Locked property of the viewport to Yes to preserve the scale from being altered accidentally.

  • Tom Foster
    edited September 2018

    Double click inside the Viewport - it gets a heavy boundary line and is now in Modelspace mode.
    Type Z>Enter>sc>Enter>.02xp>Enter (for 1:50 scale, as 1/50 = .02)
    The image inside the Viewport zooms to 1:50 scale.
    Double click outside the Viewport - it gets a light boundary and is now in Paperspace mode.
    Click on the boundary.
    In the Properties panel, look for Display locked, click to activate its dropdown, choose Yes.

    Repeat for each Viewport - each one can have a different scale;

    If you then type Z>Enter>sc etc again, everything will zoom away to a dot!
    Ctrl+Z out of that, and this time remember to first click on a Viewport boundary then change its Display locked dropdown to No, before repeating the above routine.

  • Here's a custom command that sets the scale of one or more viewports (all the viewports in a selection set), even if they're locked:
    ;;; Viewport scale factor command (works even if viewport is locked) ;;; Create a custom menu or sub-menu or Partial CUI file called "Scale" ;;; and fill it with custom tools created in this format: ;;; Title: 1" = 20' (240) ;;; Command: SVP;240 ;;; -------------------------- (defun c:SVP (/ NotPS NoSS SF SFI ss1 N vpN ObjN) (defun NotPS () (prompt "\nOnly works in Paperspace. ") (exit) ) (if (> (getvar "CVPORT") 1) (NotPS) ) ;; CVport: Pspace=1; Mspace=2; Vport=2+ (initget 7) ; prevents Negative, Zero, or Null input (setq SF (getreal "Scale Factor: ")) (setq SFI (/ 1.0 SF)) (defun NoSS () (princ "\nNo viewport selected. ") (exit) ) (setq ss1 (ssget '((0 . "VIEWPORT")) ) ) ; selection filtered - viewports only (if (not ss1) (NoSS)) (setq N 0) (while (< N (sslength ss1) ) (setq vpN (ssname ss1 N) ) (setq ObjN (vlax-ename->vla-object vpN)) (Vla-Put-CustomScale ObjN SFI) (setq N (+ N 1)) ) (sssetfirst nil ss1) ) ;;;

This discussion has been closed.

Howdy, Stranger!

It looks like you're new here. Click one of the buttons on the top bar to get involved!